Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Class Util

    java.lang.Object
      org.jboss.naming.Util

public class Util
extends Object

A static utility class for common JNDI operations.

Version:
  $Revision: 1.12 $
Author:
  Scott.Stark@jboss.org, adrian@jboss.com

Constructor Summary
`Util()`

Method Summary
`protected static void` | `appendClassInfo(StringBuffer buffer, Class clazz)` Append Class Info
`static void` | `bind(Context ctx, Name name, Object value)` Bind val to name in ctx, and make sure that all intermediate contexts exist
`static void` | `bind(Context ctx, String name, Object value)` Bind val to name in ctx, and make sure that all intermediate contexts exist
`protected static void` | `checkObject(Context context, String name, Object object, Class clazz)` Checks an object implements the given class
`static Context` | `createSubcontext(Context ctx, Name name)` Create a subcontext including any intermediate contexts.
`static Context` | `createSubcontext(Context ctx, String name)` Create a subcontext including any intermediate contexts.
`static Object` | `lookup(Context context, Name name, Class clazz)` Lookup an object in the given context
`static Object` | `lookup(Context context, String name, Class clazz)` Lookup an object in the given context
`static Object` | `lookup(Name name, Class clazz)` Lookup an object in the default initial context
`static Object` | `lookup(String name, Class clazz)` Lookup an object in the default initial context
`static void` | `rebind(Context ctx, Name name, Object value)` Rebind val to name in ctx, and make sure that all intermediate contexts exist
`static void` | `rebind(Context ctx, String name, Object value)` Rebind val to name in ctx, and make sure that all intermediate contexts exist
`static void` | `unbind(Context ctx, Name name)` Unbinds a name from ctx, and removes parents if they are empty
`static void` | `unbind(Context ctx, String name)` Unbinds a name from ctx, and removes parents if they are empty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### createSubcontext

    public static Context createSubcontext(Context ctx,
                                           String name)
                                    throws NamingException

  Create a subcontext including any intermediate contexts.

  Returns:
    The new or existing JNDI subcontext
  Throws:
    `NamingException,` - on any JNDI failure
    `NamingException`

### createSubcontext

    public static Context createSubcontext(Context ctx,
                                           Name name)
                                    throws NamingException

  Create a subcontext including any intermediate contexts.

  Returns:
    The new or existing JNDI subcontext
  Throws:
    `NamingException,` - on any JNDI failure
    `NamingException`

### bind

    public static void bind(Context ctx,
                            String name,
                            Object value)
                     throws NamingException

  Bind val to name in ctx, and make sure that all intermediate contexts exist

  Throws:
    `NamingException`

### bind

    public static void bind(Context ctx,
                            Name name,
                            Object value)
                     throws NamingException

  Bind val to name in ctx, and make sure that all intermediate contexts exist

  Throws:
    `NamingException`

### rebind

    public static void rebind(Context ctx,
                              String name,
                              Object value)
                       throws NamingException

  Rebind val to name in ctx, and make sure that all intermediate contexts exist

  Throws:
    `NamingException`

### rebind

    public static void rebind(Context ctx,
                              Name name,
                              Object value)
                       throws NamingException

  Rebind val to name in ctx, and make sure that all intermediate contexts exist

  Throws:
    `NamingException`

### unbind

    public static void unbind(Context ctx,
                              String name)
                       throws NamingException

  Unbinds a name from ctx, and removes parents if they are empty

  Throws:
    `NamingException`

### unbind

    public static void unbind(Context ctx,
                              Name name)
                       throws NamingException

  Unbinds a name from ctx, and removes parents if they are empty

  Throws:
    `NamingException`

### lookup

    public static Object lookup(String name,
                                Class clazz)
                         throws Exception

  Lookup an object in the default initial context

  Parameters:
    `name` - the name to lookup
    `clazz` - the expected type
  Returns:
    the object
  Throws:
    `Exception` - for any error

### lookup

    public static Object lookup(Name name,
                                Class clazz)
                         throws Exception

  Lookup an object in the default initial context

  Parameters:
    `name` - the name to lookup
    `clazz` - the expected type
  Returns:
    the object
  Throws:
    `Exception` - for any error

### lookup

    public static Object lookup(Context context,
                                String name,
                                Class clazz)
                         throws Exception

  Lookup an object in the given context

  Parameters:
    `context` - the context
    `name` - the name to lookup
    `clazz` - the expected type
  Returns:
    the object
  Throws:
    `Exception` - for any error

### lookup

    public static Object lookup(Context context,
                                Name name,
                                Class clazz)
                         throws Exception

  Lookup an object in the given context

  Parameters:
    `context` - the context
    `name` - the name to lookup
    `clazz` - the expected type
  Returns:
    the object
  Throws:
    `Exception` - for any error

### checkObject

    protected static void checkObject(Context context,
                                      String name,
                                      Object object,
                                      Class clazz)
                               throws Exception

  Checks an object implements the given class

  Parameters:
    `context` - the context
    `name` - the name to lookup
    `object` - the object
    `clazz` - the expected type
  Throws:
    `Exception`

### appendClassInfo

    protected static void appendClassInfo(StringBuffer buffer,
                                          Class clazz)

  Append Class Info

  Parameters:
    `buffer` - the buffer to append to
    `clazz` - the class to describe

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.